volumes:
  postgres-data:
    driver: local

services:
  data-hub:
    build: .
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules
    env_file: .env
    environment:
      - NODE_ENV=development
      - POSTGRES_HOST=postgres
      - POSTGRES_DB=data_hub
      - POSTGRES_USER=data_hub
      - POSTGRES_PASSWORD=data_hub
      - POSTGRES_PORT=5432
      - GRAFANA_PASSWORD=siasar123
      - GRAFANA_URL=http://grafana:3000
    depends_on:
      - postgres
    profiles:
      - disabled
    extra_hosts:
      - "host.docker.internal:host-gateway"

  postgres:
    image: postgis/postgis:15-3.4
    platform: linux/amd64
    volumes:
      - postgres-data:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=data_hub
      - POSTGRES_USER=data_hub
      - POSTGRES_PASSWORD=data_hub
      - PGDATA=/var/lib/postgresql/data/pgdata
    ports:
      - "5433:5432"

  grafana:
    build: ./grafana
    platform: linux/amd64
    ports:
      - "3001:3000"
    volumes:
      - ./grafana/dashboards:/etc/grafana/dashboards
      - ./grafana/public/custom:/usr/share/grafana/public/custom
    environment:
      - GF_SECURITY_ADMIN_PASSWORD=siasar123
      - POSTGRES_HOST=postgres
      - POSTGRES_DB=data_hub
      - POSTGRES_USER=data_hub
      - POSTGRES_PASSWORD=data_hub
      - POSTGRES_PORT=5432
    depends_on:
      - postgres
